
import 'package:test/test.dart';
import 'package:chainwallet/chainwallet.dart';


void main(){

  test('Chainsql generateAddress', () {


     var accountInfo =  Chainsql.generateAddress();
     prints("accountInfo $accountInfo");


    expect(accountInfo.containsKey("address") ,true);
    expect(accountInfo.containsKey("secret") ,true);
    expect(accountInfo.containsKey("publicKey") ,true);

     var accountFromSeed = Chainsql.generateAddressFromStr("xpkpdVP3LKhtdSfQX3uHNs1f7jN42");

     prints("accountFromSeed $accountFromSeed");

     expect(accountFromSeed["address"] ,"zKa9fxNT4KJwya73M4TYiCKxCQv97511Ve");
     expect(accountFromSeed["secret"] ,"xpkpdVP3LKhtdSfQX3uHNs1f7jN42");
     expect(accountFromSeed["publicKey"] ,"cB4e4YpAbPTLyYHmHmEBpLHCNU9TQc8jBUgERoAoQJBkhxT5fRfw");


  });

}